View Issue Details

IDProjectCategoryView StatusLast Update
14072Bug reports[All Projects] Print Viewpublic2019-04-30 09:10
Reporterpotamo Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.14.x 
Summary14072: Integer values in pdf report
Description

Integer values (settings 'only integer values') in numeric questions are shown as decimals in the pdf report.

Steps To Reproduce
  1. create number question
  2. settings 'only integer values' and 'customers can print answers'
  3. take survey
  4. print/download answers als pdf
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.8
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5
Server OS (if known)Linux
Webserver software & version (if known)Apache 2
PHP Version7.0

Relationships

has duplicate 14318 closedMazi Zahlen beim Ausdruck in der Printversion 

Activities

guest

guest

2018-10-02 15:50

viewer   ~49218

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28199

Related Changesets

LimeSurvey: master a84be82a

2018-10-02 15:49:37

Dominik Vitt

Details Diff
Fixed issue 14072: Integer values in pdf report shown as decimals Affected Issues
14072
mod - application/models/SurveyDynamic.php Diff File

Issue History

Date Modified Username Field Change
2018-09-18 15:08 potamo New Issue
2018-09-18 15:20 c_schmitz Assigned To => dominikvitt
2018-09-18 15:20 c_schmitz Status new => assigned
2018-10-02 15:50 Changeset attached => LimeSurvey master a84be82a
2018-10-02 15:50 guest Note Added: 49218
2018-10-02 15:50 guest Resolution open => fixed
2018-10-02 15:50 dominikvitt Status assigned => resolved
2018-10-02 15:50 dominikvitt Fixed in Version => 3.14.x
2019-01-08 10:42 Mazi Relationship added has duplicate 14318
2019-04-30 09:10 c_schmitz Status resolved => closed